Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# NOTE: upstream does not have a version numbering scheme (there has only been
# one release so far), so I have chosen to use the date of release as the
# version number.

Name:           lfsc
Version:        0.20120321
Release:        alt1_3
Summary:        SMT proof checker

License:        BSD
URL:            http://clc.cs.uiowa.edu/lfsc/
Source0:        http://clc.cs.uiowa.edu/%{name}/%{name}_src.zip
Source1:        http://clc.cs.uiowa.edu/%{name}/license.txt
# Man page written by Jerry James from text available on the lfsc web site;
# i.e., I wrote the formatting only, not the text, so this file is covered
# under the same copyright and license as the source code.
Source2:        %{name}.1
# Source text for the man page.  Use this to validate the man page on update.
Source3:        http://clc.cs.uiowa.edu/lfsc/readme-lfsc.txt
# Two proof files used to check the validity of a build.
Source4:        http://clc.cs.uiowa.edu/lfsc/sat.plf
Source5:        check.plf
# Sent upstream 4 Dec 2012.  Fix a build failure due to a missing prototype
# for _exit().
Patch0:         %{name}-exit.patch

BuildRequires: libgmp-devel libgmp_cxx-devel
Source44: import.info

%description
This package contains an SMT proof checker.

%package devel
Group: Other
Summary:        Files needed to compile side conditions
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the files needed to compile a version of %{name} that
can execute a side condition.

%prep
%setup -q -c
%patch0
cp -p %{SOURCE1} .

# Use the correct compiler flags
sed -ri 's/-(O4|w)//' Makefile

%build
make %{?_smp_mflags} CP_OPTS="%{optflags} -fsigned-char -D_FILE_OFFSET_BITS=64"

%install
# Install the main binary
mkdir -p %{buildroot}%{_bindir}
install -m 0755 -p opt/%{name} %{buildroot}%{_bindir}

# Install the man page
mkdir -p %{buildroot}%{_mandir}/man1
cp -p %{SOURCE2} %{buildroot}%{_mandir}/man1

# Install the development source files
mkdir -p %{buildroot}%{_libdir}/%{name}/opt
install -m 0644 -p check.h chunking_memory_management.h code.cpp code.h \
  expr.h trie.h Makefile %{buildroot}%{_libdir}/%{name}

# Install the development binary files
install -m 0644 -p opt/Makefile.d opt/*.o %{buildroot}%{_libdir}/%{name}/opt
cp -a opt/deps %{buildroot}%{_libdir}/%{name}/opt

%check
opt/%{name} %{SOURCE4} %{SOURCE5}

%files
%doc license.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files devel
%{_libdir}/%{name}/

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.20120321-alt1_3
- initial fc import

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.20120321-alt1_2
- initial fc import

